Bug 979930 - [fork][origin_runtime_157]Postgresql-8.4 is shown with full name "PostgreSQL Database 9.2" when executing
[fork][origin_runtime_157]Postgresql-8.4 is shown with full name "PostgreSQL ...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
medium Severity low
: ---
: ---
Assigned To: Hiro Asari
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-01 03:43 EDT by Qiushui Zhang
Modified: 2015-05-14 19:22 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-22 11:19:01 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Qiushui Zhang 2013-07-01 03:43:42 EDT
Description of problem:
When listing the cartridges, full name "PostgreSQL Database 9.2" is shown for postgresql-8.4

Version-Release number of selected component (if applicable):
fork_ami_hasari_c157_660

How reproducible:
Always

Steps to Reproduce:
1.Execute "rhc cartridge list".
2. Check the full name column for postgresql-8.4


Actual results:
It shows "PostgreSQL Database 9.2"

Expected results:
"PostgreSQL Database 8.4" is expected.

Additional info:
metrics-0.1         OpenShift Metrics 0.1                     addon
haproxy-1.4         OpenShift Web Balancer                    addon
phpmyadmin-3.4      phpMyAdmin 3.4                            addon
postgresql-9.2      PostgreSQL Database 9.2                   addon
postgresql-8.4      PostgreSQL Database 9.2                   addon    <<==
rockmongo-1.1       RockMongo 1.1                             addon
switchyard-0.6      SwitchYard 0.6                            addon
Comment 1 Hiro Asari 2013-07-01 11:23:14 EDT
Please hold off testing until the code is merged to the master and devenv subsequently updated.
Comment 2 Jhon Honce 2013-07-01 11:27:02 EDT
Are you using the Version-Override to set the cartridge description in the manifest.yml?
Comment 3 Hiro Asari 2013-07-01 11:29:45 EDT
I just fixed this on my branch, but it is not merged yet.
Comment 4 Hiro Asari 2013-07-02 13:42:24 EDT
I expect https://github.com/openshift/origin-server/pull/2925 to be merged shortly.

I'm moving this to ON_QA for further testing.
Comment 5 Yan Du 2013-07-02 22:09:23 EDT
verified on devenv_3439

$rhc cartridge list 

metrics-0.1         OpenShift Metrics 0.1                     addon
haproxy-1.4         OpenShift Web Balancer                    addon
phpmyadmin-3.4      phpMyAdmin 3.4                            addon
postgresql-8.4      PostgreSQL Database 8.4                   addon
postgresql-9.2      PostgreSQL Database 9.2                   addon
rockmongo-1.1       RockMongo 1.1                             addon
switchyard-0.6      SwitchYard 0.6                            addon

move to verified.

Note You need to log in before you can comment on or make changes to this bug.